<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__pwm__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_pwm_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__pwm__t_1a2256866da49cb401cc0c792d184aa13d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__tcpwm__t">cyhal_tcpwm_t</ref></type>
        <definition>cyhal_tcpwm_t cyhal_pwm_t::tcpwm</definition>
        <argsstring />
        <name>tcpwm</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="497" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="497" />
      </memberdef>
      <memberdef id="structcyhal__pwm__t_1adbc3775af399b89b28f710ba299e633e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_pwm_t::pin</definition>
        <argsstring />
        <name>pin</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="498" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="498" />
      </memberdef>
      <memberdef id="structcyhal__pwm__t_1acd470392a044f5d9e89462be54e54516" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_pwm_t::pin_compl</definition>
        <argsstring />
        <name>pin_compl</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="499" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="499" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>PWM object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="94">
        <label>cyhal_pwm_t</label>
        <link refid="structcyhal__pwm__t" />
        <childnode refid="95" relation="usage">
          <edgelabel>tcpwm</edgelabel>
        </childnode>
      </node>
      <node id="97">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="95">
        <label>cyhal_tcpwm_t</label>
        <link refid="structcyhal__tcpwm__t" />
        <childnode refid="96" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="97" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
      <node id="96">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
    </collaborationgraph>
    <location bodyend="503" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="495" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="495" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__pwm__t_1adbc3775af399b89b28f710ba299e633e" virt="non-virtual"><scope>cyhal_pwm_t</scope><name>pin</name></member>
      <member prot="public" refid="structcyhal__pwm__t_1acd470392a044f5d9e89462be54e54516" virt="non-virtual"><scope>cyhal_pwm_t</scope><name>pin_compl</name></member>
      <member prot="public" refid="structcyhal__pwm__t_1a2256866da49cb401cc0c792d184aa13d" virt="non-virtual"><scope>cyhal_pwm_t</scope><name>tcpwm</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>